# `finallycoffee.matrix.cinny` ansible role

> [!WARNING]
> This role is a WIP and not yet usable

## Supported deployment methods

Set your `deployment_method` to:

- [`docker` (docs)](docs/docker.md) (current default)
- `podman`
- [`nginx` (docs)](docs/nginx.md)
- [`tarball` (docs)](docs/tarball.md)

Not yet implemented but planned:

- `apache2`
- `caddy`

## Configuration

All cinny `config.json` configuration keys are available as a snake-cased ansible variable:
- `cinny_config_homeserver_list`
- `cinny_config_allow_custom_homeservers`
- [...]

If you want to provide structured configuration directly, you can either provide additional configuration in `cinny_config` or overwrite all existing defaults by setting `cinny_config_complete`.

To ensure cinny is removed from the system, set `cinny_state` to `absent` (default is `present`).
